%define name	       python-enthought-traits-ui
%define version        2.0.5
%define release %mkrel 1
%define SOURCE         %(echo "-a`seq -s ' -a' 0 8`")

Summary: Python traits UI package from Enthought
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: enthought.developer-2.0.4.tar.lzma
Source1: enthought.io-2.0.4.tar.lzma
Source2: enthought.naming-2.0.4.tar.lzma
Source3: enthought.pyface-2.0.4.tar.lzma
Source4: enthought.resource-2.0.4.tar.lzma
Source5: enthought.sweet_pickle-2.1.0.tar.lzma
Source6: enthought.traits.ui.wx-2.0.5.tar.lzma
Source7: enthought.type_manager-2.0.4.tar.lzma
Source8: enthought.util-2.0.4.tar.lzma
License: BSD 
Group:   Development/Python
Url: 	 http://code.enthought.com/projects/traits_gui
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.3, python-numpy >= 1.0.2
Requires: python-enthought-traits >= 2.0.5
Requires: wxPython >= 2.6.0,
BuildRequires: python-devel >= 2.3, python-setuptools >= 0.6c6
BuildArch: noarch

%description
The traits UI package is a set of GUI tools designed to complement
Enthought's traits package for Python. It is based on wxPython and
implements a model-view-controller (MVC) architecture on top of
traits.

This RPM contains the following Enthought components: 
* developer
* io
* naming
* pyface
* resource
* sweet_pickle
* traits.ui.wx
* type_manager
* util

%prep
%setup -q -c -T
%setup -q -T -D %SOURCE

%build
for d in enthought.*; do 
    pushd $d 
    %__python setup.py build 
    popd 
done

%install
%__rm -rf %{buildroot}

%__mkdir -p docs
for d in enthought.*; do
    pushd $d
    %__python setup.py install --root=%{buildroot}

    docdir=`echo $d | sed 's/enthought\.\(.*\)\-.*/\1/'`
    %__mkdir -p ../docs/$docdir
    ls *.txt >/dev/null 2>&1 && cp -f *.txt ../docs/$docdir
    [ -d docs ] && cp -rf docs ../docs/$docdir
    [ -d examples ] && cp -rf examples ../docs/$docdir
    [ -d scripts ] && cp -rf scripts ../docs/$docdir
    popd
done

pushd %{buildroot}%{py_sitedir}/enthought/
%__python -c "import compileall; compileall.compile_dir('./')"
%__python -O -c "import compileall; compileall.compile_dir('./')"
popd

# Needed because the python setup.py install generates bad pth files:
%__rm -f %{buildroot}%{py_sitedir}/*.pth

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%py_sitedir/enthought*



%changelog
* Wed Jul 16 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2009.0
+ Revision: 236625
- import python-enthought-traits-ui


* Tue Jul 15 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2008.1
- Package for Mandriva.
